ECLIPSE(1)

NAME
Eclipse SUMO emissionsDrivingCycle Version - Computes emissions by driving a time line using SUMO's emission models

SYNOPSIS
emissionsDrivingCycle [OPTION]*

DESCRIPTION
Eclipse SUMO emissionsDrivingCycle Version v1_14_1+1447-a9bb7416089

    Copyright (C) 2001-2022 German Aerospace Center (DLR) and others; https://sumo.dlr.de

Computes emissions by driving a time line using SUMO's emission models.

  Configuration Options:

-c, --configuration-file FILE
    Loads the named config on startup

-C, --save-configuration FILE
    Saves current configuration into FILE

--save-configuration.relative
    Enforce relative paths when saving the configuration

--save-template FILE
    Saves a configuration template (empty) into FILE

--save-schema FILE
    Saves the configuration schema into FILE

--save-commented
    Adds comments to saved template, configuration, or schema

  Input Options:

-t, --timeline-file FILE
    Defines the file to read the driving cycle from.

--timeline-file.skip INT
    Skips the firs NUM lines.

--timeline-file.separator STR
    Defines the entry separator.

-n, --netstate-file FILE
    Defines the netstate, route and trajectory files to read the driving cycles from.

--additional-files FILE
    Load emission parameters (vTypes) from FILE(s)

-e, --emission-class STR
    Defines for which emission class the emissions shall be generated.

--vtype STR
    Defines the vehicle type to use for emission parameters.

  Processing Options:

-a, --compute-a
    If set, the acceleration is computed instead of being read from the file.

--compute-a.forward
    If set, the acceleration for time t is computed from v(t+1) - v(t) instead of v(t) - v(t-1).

--compute-a.zero-correction
    If set, the acceleration for time t is set to 0 if the speed is 0.

-s, --skip-first
    If set, the first line of the read file is skipped.

--kmh
    If set, the given speed is interpreted as being given in km/h.

--have-slope
    If set, the fourth column is read and used as slope (in deg).

--slope FLOAT
    Sets a global slope (in deg) that is used if the file does not contain slope information.

--begin TIME
    Defines the begin time in seconds;

--end TIME
    Defines the end time in seconds;

  Output Options:

-o, --output STR
    Defines the file to write the emission cycle results into.

--output.attributes STR[]
    Defines the attributes to write.

--emission-output FILE
    Save the emission values of each vehicle in XML

--sum-output FILE
    Save the aggregated and normed emission values of each vehicle in CSV

--write-license
    Include license info into every output file

--output-prefix STR
    Prefix which is applied to all output files. The special string 'TIME' is replaced by the current time.

--precision INT
    Defines the number of digits after the comma for floating point output

--precision.geo INT
    Defines the number of digits after the comma for lon,lat output

-H, --human-readable-time
    Write time values as hour:minute:second or day:hour:minute:second rather than seconds

  Emissions Options:

--emissions.volumetric-fuel
    Return fuel consumption values in (legacy) unit l instead of mg

--phemlight-path FILE
    Determines where to load PHEMlight definitions from

--phemlight-year INT
    Enable fleet age modelling with the given reference year in PHEMlight5

--phemlight-temperature FLOAT
    Set ambient temperature to correct NOx emissions in PHEMlight5

  Report Options:

-v, --verbose
    Switches to verbose output

--print-options
    Prints option values before processing

-?, --help
    Prints this screen or selected topics

-V, --version
    Prints the current version

-X, --xml-validation STR
    Set schema validation scheme of XML inputs ("never", "local", "auto" or "always")

-W, --no-warnings
    Disables output of warnings

--aggregate-warnings INT
    Aggregate warnings of the same type whenever more than INT occur

-l, --log FILE
    Writes all messages to FILE (implies verbose)

--message-log FILE
    Writes all non-error messages to FILE (implies verbose)

--error-log FILE
    Writes all warnings and errors to FILE

-q, --quiet
    Not writing anything.

REPORTING BUGS
Report bugs at <https://github.com/eclipse/sumo/issues>.
Get in contact via <sumo@dlr.de>.

    Build features: Linux-5.4.0-125-generic x86_64 GNU 9.4.0 Release FMI Proj GUI SWIG
    Copyright (C) 2001-2022 German Aerospace Center (DLR) and others; https://sumo.dlr.de

Eclipse SUMO emissionsDrivingCycle Version v1_14_1+1447-a9bb7416089 is part of SUMO.
This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html
This program may also be made available under the following Secondary
Licenses when the conditions for such availability set forth in the Eclipse
Public License 2.0 are satisfied: GNU General Public License, version 2 or later which is available at https://www.gnu.org/licenses/old-licenses/gpl-2.0-standalone.html
SPDX-License-Identifier: EPL-2.0 OR GPL-2.0-or-later